# UTXO

{% hint style="warning" %}
The `utxo`limit is 500 transactions for each address. Contact us if you need more.
{% endhint %}

## Make a request (mainnet)

For mainnet a valid apikey is needed and needs to be send as a query parameter. You can [create a temporary mainnet api key](https://api.bitcoin-balance-api.com/keys) for testing the api. The correct url for mainnet is:

```
https://api.bitcoin-balance-api.com/v1/utxo/mqJpUp5yt3m5in6pMJEW7rN2SifGoFKTJQ?apikey=$SECRET
```

Where `$SECRET` needs to be replaced with your own apikey.

## Response

The response from the api contains two fields, `status` and `utxo`. When status is `200` the request was successful and it will contain an array of the utxo. E.g.:

```json
{ "status": 200, "utxo": [{"txid": "07c9ab25dd88b9bb81e0d0f720df70f4642009fb205b0a63af3f5ca96a2e2e0c", "vout": 0, "status": {"confirmed": true, "block_height": 3924924, "block_hash": "0000000000443e317917844329700a8f7ff32992560b0f728a2874a1f037fff9", "block_time": 1740913388}, "value": 23592760}] }
```

The `status` field can contain different responses like [400, 401, 404, 422 or 500](https://docs.bitcoin-balance-api.com/error-codes) depending on the request.
